%if 0%{?el7}
%define dist .el7
%endif

Name:		cacti-plugins-settings
Version:	0.71
Release:	4%{?dist}
Summary:	Base Plugin for Cacti Interoperability

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:		Applications/System
License:	GPLv2
URL:		http://docs.cacti.net/
#Source0:	http://docs.cacti.net/_media/plugin:settings-v0.71-1.tgz
Source0:	settings-v0.71-1.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

Requires:	cacti >= 0.8.8

%description
Provides common infrastrucutre plugin services for Cacti's Plugin Architecture

%prep
%setup -q -n settings

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d -m0755 $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/settings
%{__install} -m0644 *.php $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/settings
%{__cp} -rp include $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/settings

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_datadir}/cacti/plugins/settings/*

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.71-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.71-3
- Rebuilt for fc23

* Mon Apr 13 2015 momo-i <webmaster@momo-i.org> - 0.71-2
- Rebuilt for fc22

* Fri Apr 13 2012 momo-i <webmaster@momo-i.org> - 0.71-1
- Initial rpm release.
